aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-vmemo/opie-vmemo.inc
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-vmemo/opie-vmemo.inc
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-vmemo/opie-vmemo.inc')
-rw-r--r--recipes-opie/opie-vmemo/opie-vmemo.inc31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes-opie/opie-vmemo/opie-vmemo.inc b/recipes-opie/opie-vmemo/opie-vmemo.inc
new file mode 100644
index 0000000..e2849bd
--- /dev/null
+++ b/recipes-opie/opie-vmemo/opie-vmemo.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Voice Memo Recorder Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+RDEPENDS_${PN} = "opie-vmemo-settings"
+I18N_FILES = "libvmemoapplet.ts"
+APPNAME = "vmemoapplet"
+
+
+S = "${WORKDIR}/vmemo"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if pidof -s qpe >/dev/null; then
+ /usr/bin/qcop QPE/TaskBar "reloadApplets()"
+fi
+ if [ -n "$D" ]; then exit 1; fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+/usr/bin/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then exit 1; fi
+}
+
+# FILES plugins/applets/libvmemoapplet.so*
+do_install() {
+}
+